.models {
    padding-bottom: rem(36);

    &__header {
        color: $white;
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(26);
        margin-bottom: rem(34);
        text-transform: uppercase;
        font-family: $font-family-secondary;
    }

    &__main {
        position: relative;
    }

    &__item {
        color: $white;
        display: block;
        overflow: hidden;
        position: relative;
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(24);
        text-decoration: none;
        font-family: $font-family-secondary;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            display: block;
            position: absolute;
            background: linear-gradient(180deg, rgba(0, 0, 0, 0.78) 0%, rgba(24, 24, 24, 0.00) 66.9%);
            transition: .25s;
        }

        &:hover {
            color: $white;
            text-decoration: none;

            &:hover {
                background: linear-gradient(180deg, rgba(0, 0, 0, 0.48) 0%, rgba(24, 24, 24, 0.00) 66.9%);
                transition: .25s;
            }
        }
    }

    &__content {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 15;
        position: absolute;
        font-style: normal;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__text {
        display: inline-block;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(15);
        flex-shrink: 0;
        margin-left: rem(14);
        display: inline-block;
    }

    &__nav {
        display: none;
    }

    @media (min-width: $screen-md) {
        padding-bottom: rem(10);

        &__header {
            font-size: rem(34);
            line-height: rem(38);
            margin-bottom: rem(52);
        }

        &__item {
            font-size: rem(26);
            line-height: rem(32);
        }
    }

    @media (min-width: $screen-xl) {
        padding-bottom: rem(80);

        &__header {
            font-size: rem(38);
            line-height: rem(46);
            margin-bottom: rem(54);
        }

        &__nav {
            top: calc(50% - 28px);
            z-index: 30;
            display: block;
            position: absolute;

            &--prev {
                left: -28px;
            }

            &--next {
                right: -28px;
            }
        }
    }

}

[data-models] {
    overflow: visible;

    .swiper-slide {
        width: rem(222);
    }

    .swiper-pagination {
        margin-top: rem(40);
    }

    .swiper-pagination-bullet {
        padding: 0;
        width: 30px;
        height: 2px;
        border-radius: 0;
        border: none !important;
        background: rgba(255,255,255,0.3);
    }

    .swiper-pagination-bullet-active {
        padding: 0;
        width: 30px;
        height: 2px;
        border: none !important;
        background: rgba(255,255,255,1);
    }

    @media (min-width: $screen-md) {

        .swiper-slide {
            width: rem(353);
        }

        .swiper-pagination {
            margin-top: rem(48);
        }

    }

    @media (min-width: $screen-xl) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }

        .swiper-pagination {
            display: none;
        }
    }
}


@media (min-width: $screen-sm) { }

@media (min-width: $screen-md) { }

@media (min-width: $screen-lg) { }

@media (min-width: $screen-xl) { }

@media (min-width: $screen-xxl) { }
